# Class AssemblyPfvManagerFactory

#### Hierarchy

- AssemblyPfvManagerFactory

#### Implements

- PfvManagerFactoryInterface<{
  instanceSequenceConfig: InstanceSequenceConfig | undefined;
  useOperatorsFlag: boolean | undefined;
  }, undefined>

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/AssemblyPfvManagerFactory.tsx:38

#####
Index

### Constructors

constructor

### Methods

getPfvManager

## Constructors

### constructor

- new AssemblyPfvManagerFactory(): AssemblyPfvManagerFactory

- #### Returns AssemblyPfvManagerFactory

## Methods

### getPfvManager

- getPfvManager(config): PfvManagerInterface

- #### Parameters

  - ##### config: AssemblyPfvManagerInterface

  #### Returns PfvManagerInterface

  Implementation of PfvManagerFactoryInterface.getPfvManager

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/AssemblyPfvManagerFactory.tsx:39

Generated using TypeDoc